Class | Rack::MockResponse
In: | lib/action_controller/vendor/rack-1.0/rack/mock.rb
Parent: | Object

Rack::MockResponse provides useful helpers for testing your apps. Usually, you don‘t create the MockResponse on your own, but use MockRequest.

### Methods

=~ [] match new

### Included Modules

Response::Helpers

### Attributes

body | [R] | Body
errors | [RW] | Errors
headers | [R] | Headers
original_headers | [R] | Headers
status | [R] | Status

### Public Class methods

new(status, headers, body, errors=StringIO.new(""))

### Public Instance methods

=~(other)
[](field)
match(other)

[Validate]